<?
  echo '<a href="./?dgo=default.php">Listado de temas</a> -> ';


  if ( isset( $idg ) )
  {
    $blq = "ide, nombre, comentario, cache, equipoSonidoLuces, estadisticas,croquiMusicos, sugerenciasGrupo, contratacion";

    $res = @mysql_query( "SELECT id,$blq FROM grupos WHERE id=$idg", $conexion );
    $datos=@mysql_fetch_array($res);
    list( $db_id, $db_ide, $db_nombre, $db_comentario, $db_cache,
		 $db_equipoSonidoLuces, $db_estadisticas, $db_croquiMusicos,
		 $db_sugerenciasGrupo, $db_contratacion ) = $datos;
    echo '<a href="./?dgo=ver_grupo.php&ide='.$db_ide.'">Grupos</a>';
    echo "<br><br>";
    echo "<table width='100%'><tr>";
    echo "<td width='100%' valign=top><p class=eBig>$db_nombre</p>".urldecode($db_comentario)."</td>";
    $img = "db/grupos/$idg_i001@$db_foto";
    if ( !file_exists( $img ) ) $img = "images/no_group.gif"; 
     echo "<td><img src=\"$img\"></td>";
    echo "</tr></table>";


    muestraArtistas($conexion,$idg);
    muestraDiscos($conexion,$idg);

    echo "<br><br><br><a name=\"componentes\"></a>";
    echo "<table width=100% cellpadding=0 cellspacing=0 class=\"td_lista\"><tr>";
    echo "<td class=menuL>Otros datos del grupo</td>";
    echo "</tr></table><br>";

    echo '<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr>
        <td valign="top" width="50%"><table border="0" width="100%">
            <tr>
                <td><strong>Cache:</strong></td>
                <td>'.$db_cache.'</td>
            </tr>
            <tr>
                <td><strong>Equipo Sonido y Luces:</strong></td>
                <td>'.$db_equipoSonidoLuces.'</td>
            </tr>
            <tr>
                <td><strong>Contratación:</strong></td>
                <td>'.$db_contratacion.'</td>
            </tr>
        </table>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        </td>
        <td valign="top" width="50%"><strong>Sugerencias del
        Grupo:</strong><p>'.$db_sugerenciasGrupo.'</p>
        </td>
    </tr></table>';


    muestraEventos($conexion,$idg);

  }

  if ( isset( $ide ) )
  {
    echo "Grupos<br><br>";

    $parent=$ide;
    require("default.php");


    $blq = "g.id, g.nombre, g.comentario, Foto, Foto_w, Foto_h ";
    $res = @mysql_query( "SELECT $blq FROM grupos AS g WHERE g.ide=$ide", $conexion ) or die( mysql_error($conexion));
    if ( @mysql_num_rows( $res ) <= 0)
 	echo "Lo sentimos, pero no se encontraron grupos para ese estilo. ˇAun!";
    else {
      while ( $datos=@mysql_fetch_array($res) )
      {
	echo '<table border="0" width="100%"><tr><td width="100">';

	$img = "db/grupos/$datos[0]_i001@$datos[3]";
	if ( !file_exists( $img ) ) $img = "images/no_group.gif";
	echo '<img src="'.$img.'">';	

        echo '</td>';
        echo "<TD valign='top'><a href='./?dgo=ver_grupo.php&idg=$datos[0]' class=eBig>".urldecode($datos[1])."</a>";
        echo "<BR><p>".urldecode($datos[2])."</p>";
	echo "</td></tr></table>"; 
	echo "<br><br>";
      }
    }
  }

 function resize($H, $W, $nW=100, $nH=100)
 {
//  $nW = 100; $nH = 100;
  $image_prop = "";
  
  if ( $W > 0 )
  {
  	if ( $W > $H )
  	{
	  $nH = intval(($H/$W)*$nW);      $image_prop = " width=\"$nW\" height=\"".$nH."\"";
  	} else {
	  $nW = intval(($W/$H)*$nH);	  $image_prop = " height=\"$nH\" width=\"".$nW."\"";
  	}
	return $image_prop;
  }
 }


function muestraArtistas( $cnx, $idg )
{
 $res = @mysql_query( "SELECT a.id, CONCAT(a.nombre, ' ', a.apellido), Foto_mime, Foto_w, Foto_h AS Artista FROM componentesGrupo AS c LEFT JOIN artistas a ON( a.id=c.idp ) WHERE c.idg = " . $idg, $cnx );
 
 echo "<br><br><br>";

 echo "<a name=\"componentes\"></a>";
 echo "<table width=100% cellpadding=0 cellspacing=0 class=\"td_lista\"><tr>";
 echo "<td class=menuL>Componentes del Grupo</td>";
 echo "</tr></table><br>";
 
 $numCols=0;
 echo "<table>";
 while( $datos=@mysql_fetch_array($res) )
 {
   if ( $numCols==0 ) echo "<tr>";

   list ( $db_ida, $db_nomb, $db_foto, $db_FW, $db_FH ) = $datos;
 
   $img  = "db/artistas/$db_ida"."_i001@$db_foto";
   if ( !file_exists( $img ) ) $img="images/no_person.gif";
   echo "<td width=33% style=\"text-align=center;\"><a href=\"./?dgo=ver_artista.php&ida=$db_ida\"><img src=\"$img\"".resize($db_FH, $db_FW,100,150)." border=0></a><br>$db_nomb</td>";

   $numCols = ($numCols++)%3;
   if ( $numCols==0 ) echo "</tr>";
 }

 for ( ;$numCols<4;$numCols++ )
   echo "<td width=33%></td>";
 if ( $numCols==4 ) echo "</tr>";

 echo "</table>";
 
}

function muestraDiscos( $cnx, $idg )
{
 $thisLOCATION = "./?dgo=ver_disco.php";
 $res = @mysql_query( "SELECT id, titulo, FEdicion FROM discos WHERE idg=$idg", $cnx ) OR die( "Error<br>".@mysql_error($cnx) );

 $parity = true;

 echo "<br><br><br>";
 echo "<a name=\"discos\"></a>";
 echo "<table width=100% cellpadding=0 cellspacing=0 class=\"td_lista\"><tr>";
 echo "<td class=menuL>Discos del Grupo</td>";
 echo "</tr></table><br>";

 echo "<center><table width=100%><tr><td>Edici&oacute;n</td><td>Titulo</td><td>Temas</td></tr>";
	while( $datos=@mysql_fetch_array($res) )
 	{
  	  list ( $db_id, $db_titulo, $db_fechaEd )= $datos;
          $rest = @mysql_query("SELECT COUNT(*) FROM cancionesDisco WHERE idd=$db_id", $cnx );
	  $numTemas = @mysql_fetch_array( $rest );
  	  echo "<tr><td>$db_fechaEd</td><td><a href=\"$thisLOCATION&idd=$db_id&idg=$idg\">$db_titulo</a></td><td>$numTemas[0]</td>";
 	}
	
 	echo "</table></center>";
}


function muestraEventos($conexion,$idg)
{
 echo "<a name=\"eventos\"></a>";
 echo "<table width=100% cellpadding=0 cellspacing=0 class=\"td_lista\"><tr>";
 echo "<td class=menuL>Eventos del Grupo</td>";
 echo "</tr></table><br>";

 require("eventos.php");
}

?>